﻿@model IEnumerable<MIMS.Portal.ViewModels.Terminal.TerminalViewModel>
@using MIMS.Portal.Commons.Extensions;
@using MIMS.Portal.ValueObjects.Enum;


@{
    var title = "تایید";
    var icon = "check";
    var statusTitle = "";

    var id = Context.Request.RouteValues["id"]?.ToString() ?? string.Empty;

    if (!string.IsNullOrEmpty(id) && Enum.TryParse(id.Replace("-", ""), true, out TerminalStatus status))
    {
        //if (status != null)
        statusTitle = ((TerminalStatus)(((int)status) + 1)).GetDisplayName();

        if (status == TerminalStatus.PreApproved || status == TerminalStatus.Sent || status == TerminalStatus.Approved)
        {
            title = "جزئیات";
            icon = "eye";
        }
    }

}
@{
    ViewData["PageTitle"] = @statusTitle;
}
<section id="operations-index">
    <div class="card">
        <div class="card-header">
            <h4 class="">فهرست</h4>
        </div>
        <div class="card-body">
            <div class="card-block">
                <div class="table-responsive">
                    <table class="table table-hover header-border text-nowrap">
                        <thead class="thead-inverse">
                            <tr>
                                <th>@Html.DisplayNameFor(model => model.MerchantFullName)</th>
                                <th>@Html.DisplayNameFor(model => model.MerchantNationalCode)</th>
                                <th>@Html.DisplayNameFor(model => model.BankAccountId)</th>
                                <th>@Html.DisplayNameFor(model => model.StoreId)</th>
                                <th>@Html.DisplayNameFor(model => model.TerminalType)</th>
                                <th>@Html.DisplayNameFor(model => model.TerminalNumber)</th>
                                <th>@Html.DisplayNameFor(model => model.MerchantNumber)</th>
                                <th>@Html.DisplayNameFor(model => model.DeviceConnectionType)</th>
                                <th>@Html.DisplayNameFor(model => model.DeviceModelId)</th>
                                <th>@Html.DisplayNameFor(model => model.DeviceId)</th>
                                <th>@Html.DisplayNameFor(model => model.CreatedDate)</th>
                                <th class="no-sort"><em class="fa fa-cog"></em></th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model)
                            {
                                <tr>
                                    <td>@item.MerchantFullName</td>
                                    <td>@item.MerchantNationalCode</td>
                                    <td>@item.BankAccountFullName</td>
                                    <td>@item.StoreFullName</td>
                                    <td>@Html.DisplayFor(modelItem => item.TerminalType)</td>
                                    <td>@item.TerminalNumber</td>
                                    <td>@item.MerchantNumber</td>
                                    <td>@Html.DisplayFor(modelItem => item.DeviceConnectionType)</td>
                                    <td>@($"{item.DeviceBrandName} {item.DeviceModelName}")</td>
                                    <td>@item.DeviceSerial</td>
                                    <td><span dir="ltr">@item.CreatedDate.ToPeString()</span></td>
                                    <td>
                                        <a asp-action="@ViewBag.ActionName" asp-controller="Operations" asp-route-id="@item.Id" class="btn btn-secondary fa fa-fw fa-@icon" data-toggle="tooltip" title="@title"></a>
                                    </td>
                                </tr>
                            }
                        </tbody>
                    </table>
                </div>

            </div>
        </div>
        <div class="card-footer">
            <small>
                آخرین بروز رسانی لحظاتی پیش
            </small>
        </div>
    </div>
</section>